Loading...
Searching...
No Matches
Lomiri::DownloadManager::ProcessError Class Reference

The ProcessError represents an error that occurred during the post processing of a downloaded file. More...

`#include <error.h>`

Inheritance diagram for Lomiri::DownloadManager::ProcessError:
Collaboration diagram for Lomiri::DownloadManager::ProcessError:

## Public Member Functions

virtual | ~ProcessError ()
QProcess::ProcessError | code ()
QString | phrase ()
int | exitCode ()
QString | standardOut ()
QString | standardError ()
QString | errorString () override
Public Member Functions inherited from Lomiri::DownloadManager::Error
virtual | ~Error ()
Type | type ()

## Protected Member Functions

| ProcessError (Transfers::Errors::ProcessErrorStruct err, QObject *parent)
Protected Member Functions inherited from Lomiri::DownloadManager::Error
| Error (Type type, QObject *parent=0)

## Additional Inherited Members

Public Types inherited from Lomiri::DownloadManager::Error
enum | Type { Auth , DBus , Http , Network , Process , Hash }

## Detailed Description

The ProcessError represents an error that occurred during the post processing of a downloaded file.

Since
  0.3

Definition at line 401 of file error.h.

## Constructor & Destructor Documentation

## ~ProcessError()

Lomiri::DownloadManager::ProcessError::~ProcessError | ( |  | ) |

virtual

Disposes of this error and frees any resources associated with it.

Definition at line 409 of file error.cpp.

## ProcessError()

Lomiri::DownloadManager::ProcessError::ProcessError | ( | Transfers::Errors::ProcessErrorStruct | err,
|  | QObject * | parent )

protected

Creates a new error from the provided process error struct.

Definition at line 403 of file error.cpp.

References Lomiri::DownloadManager::Error::Error(), and Lomiri::DownloadManager::Error::Process.

Referenced by code(), errorString(), exitCode(), phrase(), standardError(), and standardOut().

Here is the call graph for this function:

## Member Function Documentation

## code()

QProcess::ProcessError Lomiri::DownloadManager::ProcessError::code | ( |  | ) |

/fn QProcess::ProcessError code()

Returns the code of the process error.

Definition at line 420 of file error.cpp.

References ProcessError().

Here is the call graph for this function:

## errorString()

QString Lomiri::DownloadManager::ProcessError::errorString | ( |  | ) |

override virtual

/fn QString errorString() override

Returns a string representation of the error.

Reimplemented from Lomiri::DownloadManager::Error.

Definition at line 444 of file error.cpp.

References ProcessError().

Here is the call graph for this function:

## exitCode()

int Lomiri::DownloadManager::ProcessError::exitCode | ( |  | ) |

/fn int exitCode()

Returns the exit code of the executed process.

Definition at line 426 of file error.cpp.

References ProcessError().

Here is the call graph for this function:

## phrase()

QString Lomiri::DownloadManager::ProcessError::phrase | ( |  | ) |

/fn QString phrase()

Returns a human readable explanation of the occurred process error.

Definition at line 414 of file error.cpp.

References ProcessError().

Here is the call graph for this function:

## standardError()

QString Lomiri::DownloadManager::ProcessError::standardError | ( |  | ) |

/fn QString standardError()

Returns the standard error of the executed process.

Definition at line 438 of file error.cpp.

References ProcessError().

Here is the call graph for this function:

## standardOut()

QString Lomiri::DownloadManager::ProcessError::standardOut | ( |  | ) |

/fn QString standardOut()

Returns the standard output of the executed process.

Definition at line 432 of file error.cpp.

References ProcessError().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- error.h
- error.cpp